Bug 208116 - Review Request: oorexx - Open Object Rexx
Summary: Review Request: oorexx - Open Object Rexx
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-09-26 15:07 UTC by Gérard Milmeister
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-28 13:25:38 UTC


Attachments (Terms of Use)

Description Gérard Milmeister 2006-09-26 15:07:49 UTC
Spec URL: http://math.ifi.unizh.ch/fedora/spec/oorexx.spec
SRPM URL: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/oorexx-3.1.0-1.src.rpm
Description:
Open Object Rexx is an object-oriented scripting language. The
language is designed for "non-programmer" type users, so it is easy to
learn and easy to use, and provides an excellent vehicle to enter the
world of object-oriented programming without much effort.

It extends the procedural way of programming with object-oriented
features that allow you to gradually change your programming style as
you learn more about objects.

Comment 1 Jochen Schmitt 2006-09-26 18:21:57 UTC
Good:

+ Rpmlint of source RPM ok.
+ Local build works fine.
+ Rpmlint of binaries RPK ok.
+ Source in RPM matched with upstream.
+ Local execution of a simple text script works.
+ Mock build works fine.
+ Package contains license (CPLv1) in verbatin form.

Bad:
- rpmlint of install oorexx-libs produced a lot of Warning like:
rpmlint oorexx-libs
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librxsock.so.3.0.1
RexxDeregisterFunction
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librxsock.so.3.0.1
RexxVariablePool
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librxsock.so.3.0.1
RexxRegisterFunctionDll
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librexxapi.so.3.0.1 TheNilObject
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librexxapi.so.3.0.1 RexxTerminated
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librexxapi.so.3.0.1
ProcessLocalActs
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librexxapi.so.3.0.1
_Z12ApiRexxStartlP9_RXSTRINGPcS0_S1_lP10_RXSYSEXITPsS0_
W: oorexx-libs undefined-non-weak-symbol /usr/lib/librexxapi.so.3.0.1 dlerror
...

Comment 2 Gérard Milmeister 2006-09-26 20:50:14 UTC
My version of rpmlint (0.78) doesn't show any warnings or errors
at all.
However, I found the following:
http://www.redhat.com/archives/fedora-devel-list/2006-September/msg00173.html


Comment 3 Ville Skyttä 2006-09-26 21:10:01 UTC
rpmlint checks undefined non-weak symbols only for installed packages.

Comment 4 Jochen Schmitt 2006-09-28 14:36:28 UTC
On https://www.redhat.com/archives/fedora-extras-list/2006-September/msg00830.html
I read, that this should not blocked the approvement of the package.

So I may APPROVE your package, if you will notify upstream about this problem.



Comment 5 Gérard Milmeister 2006-10-02 20:47:50 UTC
I have submitted a bug report to oorexx.sf.net:
http://sourceforge.net/tracker/index.php?func=detail&aid=1569548&group_id=119701&atid=684730

Comment 6 Jochen Schmitt 2006-10-09 18:29:23 UTC
OK, please import the package into the cvs and make a build. After this please
close this bug.

Comment 7 Gérard Milmeister 2006-10-11 08:33:03 UTC
Added entries to owners and comps files.
Built on FC5 and FC6 for i386 and ppc.
Excluded x86_64 for now, since build fails. It requires the 32-bit libc which is
not possible in the current mock setup. I will investigate.

Comment 8 Gérard Milmeister 2006-10-28 13:25:38 UTC
Does not compile on 64-bit architectures currently.
I filed a bug #211008.

Comment 9 Gérard Milmeister 2006-10-28 13:26:23 UTC
(In reply to comment #8)
> Does not compile on 64-bit architectures currently.
> I filed a bug #211008.
Oops wrong number, correct one is #212724.


Note You need to log in before you can comment on or make changes to this bug.